package de.hdm_stuttgart.mi.sda2.jpa.billing.domain;

import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;

/**
 * Base class for payment related purposes
 *
 */
@Entity
@Inheritance(strategy=InheritanceType.SINGLE_TABLE)
@DiscriminatorColumn(name="")
public abstract class BillingDetail {
   @Id
   @GeneratedValue(strategy=GenerationType.IDENTITY)
   Long id;
   
   @Column(nullable=false)
   String owner;
   
   protected BillingDetail() {}
   
   @SuppressWarnings("javadoc")
   public BillingDetail(final String owner) {
      setOwner(owner);
   }

   @SuppressWarnings("javadoc")
   public String getOwner() {
      return owner;
   }

   @SuppressWarnings("javadoc")
   public void setOwner(String owner) {
      this.owner = owner;
   }

   @SuppressWarnings("javadoc")
   public Long getId() {
      return id;
   }
   
}
